### Hierarchy

- LidarprofileConfigService

## Index

### Constructors

- constructor

### Properties

- clientConfig
- loaded
- pytreeLidarprofileJsonUrl
- serverConfig

### Methods

- initProfileConfig

## Constructors

### constructor

- new LidarprofileConfigService(): LidarprofileConfigService

- - Defined in src/lidar/Config.ts:182

  Configuration service to configure the gmf.lidarPanelComponent and gmf.lidarprofile instance Requires a Pytree service: https://github.com/sitn/pytree

  #### Returns LidarprofileConfigService

## Properties

### clientConfig

clientConfig: LidarprofileClientConfig

- Defined in src/lidar/Config.ts:171

The client configuration.

### loaded

loaded: boolean

- Defined in src/lidar/Config.ts:166

### pytreeLidarprofileJsonUrl

pytreeLidarprofileJsonUrl: string

- Defined in src/lidar/Config.ts:164

### serverConfig

serverConfig: LidarprofileServerConfig

- Defined in src/lidar/Config.ts:176

The configuration from the LIDAR server.

## Methods

### initProfileConfig

- initProfileConfig(): Promise<void | Response>

- - Defined in src/lidar/Config.ts:220

  Initialize the service variables from Pytree profile_config_gmf2 route

  #### Returns Promise<void | Response>

  Promise<void | Response> The server configuration.

Generated using TypeDoc